% EXAMPLE1PNPESTIMATOR example of the use of class pnpestimator
%

% Copyright is with the following author(s):
%
% (C) 2014 
%     Stefano Riverso, Giancarlo Ferrari Trecate
%     Identification and Control of Dynamic Systems Laboratory,
%     Universita' degli Studi di Pavia, Italy
%     stefano.riverso@unipv.it, giancarlo.ferrari@unipv.it
%

% ---------------------------------------------------------------------------
% Legal note:
%          This program is free software; you can redistribute it and/or
%          modify it under the terms of the GNU General Public
%          License as published by the Free Software Foundation; either
%          version 2.1 of the License, or (at your option) any later version.
%
%          This program is distributed in the hope that it will be useful,
%          but WITHOUT ANY WARRANTY; without even the implied warranty of
%          MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
%          General Public License for more details.
% 
%          You should have received a copy of the GNU General Public
%          License along with this library; if not, write to the 
%          Free Software Foundation, Inc., 
%          59 Temple Place, Suite 330, 
%          Boston, MA  02111-1307  USA
%
% ---------------------------------------------------------------------------

clear
close all

N = 4;

disp('# Create a large-scale system #')
[ modelTrucks2Dc, modelTrucks2Dd, modelTrucks2Dddist ] = makeModelTrucks2Dgroup4(N);

disp('# Create a large-scale estimator, without sending outputs online #')
[ PnPestimators, PnPestimatorsOutputs, PnPestimatorsdist, PnPestimatorsOutputsdist ] = makePnpEstimatorTrucks2Dgroup4(modelTrucks2Dd,modelTrucks2Dddist)

disp('# Simulation without disturbances #')
simulationEstimator
close all

disp('# Simulation with disturbances #')
simulationEstimatordist